$regfile = "m32def.dat"                                     'define micro
$crystal = 1000000                                          'define crystal
Config Portc = Output                                       'define output port
Config Adc = Single , Prescaler = Auto                      'define A/D

Dim W As Word : W = 0                                       'definition of variables
Dim X As Word : X = 0
Dim Y As Word : Y = 0
Dim Z As Word : Z = 0
Dim A As Byte : A = 0

Start Adc
Delay
Portc = &B00000000                                          'initial value for output port

 Do                                                         'main program
  W = Getadc(0)
  Delay
  X = Getadc(1)
  Delay
  Y = Getadc(2)
  Delay
  Z = Getadc(3)
  Delay

 Part1:                                                     'first LDR
  If W < 512 Then
   Do                                                       'for high Lux
    W = Getadc(0)
    Portc = &B00000000                                      'no move of stepper motor
   Loop Until W > 512
  End If
  Wait 5
 Part2:                                                     'first LDR
  If W > 512 Then
   Do                                                       'for low Lux
    For A = 1 To 3                                          'move step motor for defined degree
     Portc = &B10010000 : Wait 1
     Portc = &B11000000 : Wait 1
     Portc = &B01100000 : Wait 1
     Portc = &B00110000 : Wait 1
    Next A
   Loop Until A = 3
  End If
  A = 0
 Part3:                                                     'second LDR
  If X < 512 Then
   Do                                                       'for high Lux
    X = Getadc(1)
    Portc = &B0000000                                       'no move of stepper motor
   Loop Until X > 512
  End If
  Wait 5
 Part4:
  If X > 512 Then
   Do                                                       'for low Lux
    For A = 1 To 3                                          'move step motor for defined degree
     Portc = &B10010000 : Wait 1
     Portc = &B11000000 : Wait 1
     Portc = &B01100000 : Wait 1
     Portc = &B00110000 : Wait 1
    Next A
   Loop Until A = 3
  End If
  A = 0
 Part5:                                                     'third LDR
  If Y < 512 Then
   Do                                                       'for high Lux
    Y = Getadc(2)
    Portc = &B0000000                                       'no move of stepper motor
   Loop Until Y > 512
  End If
  Wait 5
 Part6:
  If Y > 512 Then
   Do                                                       'for low Lux
    For A = 1 To 3                                          'move step motor for defined degree
     Portc = &B10010000 : Wait 1
     Portc = &B11000000 : Wait 1
     Portc = &B01100000 : Wait 1
     Portc = &B00110000 : Wait 1
    Next A
   Loop Until A = 3
  End If
  A = 0
 Part7:                                                     'forth LDR
  If Z < 512 Then
   Do                                                       'for high Lux
    Z = Getadc(3)
    Portc = &B0000000                                       'no move of stepper motor
   Loop Until Z > 512
  End If
  Wait 5
 Part8:
  If Z > 512 Then
   Do                                                       'for low Lux
    For A = 1 To 3                                          'move step motor for defined degree
     Portc = &B10010000 : Wait 1
     Portc = &B11000000 : Wait 1
     Portc = &B01100000 : Wait 1
     Portc = &B00110000 : Wait 1
    Next A
   Loop Until A = 3
  End If
  A = 0
 Loop
End                                                         'end program
