$regfile = "m32def.dat"                                     'define micro
$crystal = 1000000                                          'define crystal
Config Portc = Output                                       'output port
Config Adc = Single , Prescaler = Auto                      'define A/D
Config Timer1 = Timer , Prescale = 1                        'Timer1 for creating one hour approximately
Dim W As Word : W = 0                                       'variables for A/D
Dim X As Word : X = 0
Dim Y As Word : Y = 0
Dim Z As Word : Z = 0
Dim A As Byte : A = 0                                       'variable for counting
Dim B As Long : B = 0                                       'variable for timer
Enable Interrupts
Enable Ovf1
Start Adc
Delay
Portc = &B00000000
Do                                                          'main program
 W = Getadc(0)
 Delay
 X = Getadc(1)
 Delay
 Y = Getadc(2)
 Delay
 Z = Getadc(3)
 Delay

 Part1:                                                     'first LDR
 If W > 512 Then                                            'for low Lux
  For A = 1 To 1                                            'defined degree
   Portc = &B10010000 : Wait 1
   Portc = &B11000000 : Wait 1
   Portc = &B01100000 : Wait 1
   Portc = &B00110000 : Wait 1
  Next A
 Else                                                       'for high Lux
  Portc = &B00000000                                        'no move for step motor
 End If
 If W > 512 Then Goto Time1                                 'go to time1 and wait 1 hour if motor had movement

 Part2:                                                     'second LDR
 If X > 512 Then                                            'for low Lux
   For A = 1 To 1                                           'defined degree
   Portc = &B10010000 : Wait 1
   Portc = &B11000000 : Wait 1
   Portc = &B01100000 : Wait 1
   Portc = &B00110000 : Wait 1
  Next A
 Else                                                       'for high Lux
  Portc = &B0000000                                         'no movement for step motor
 End If
 If X > 512 Then Goto Time1                                 'go to time1 and wait 1 hour if motor had movement

 Part3:                                                     'third LDR
 If Y > 512 Then                                            'for low Lux
   For A = 1 To 1                                           'defined degree
    Portc = &B10010000 : Wait 1
    Portc = &B11000000 : Wait 1
    Portc = &B01100000 : Wait 1
    Portc = &B00110000 : Wait 1
   Next A
 Else                                                       'for high Lux
  Portc = &B00000000                                        'no movement
 End If
 If Y > 512 Then Goto Time1                                 'go to time1 and wait 1 hour if motor had movement

 Part4:                                                     'forth LDR
 If Z > 512 Then                                            'for low Lux
   For A = 1 To 1                                           'defined degree
   Portc = &B10010000 : Wait 1
   Portc = &B11000000 : Wait 1
   Portc = &B01100000 : Wait 1
   Portc = &B00110000 : Wait 1
  Next A
 Else                                                       'for high Lux
  Portc = &B00000000                                        'no movement
 End If
 If Z > 512 Then Goto Time1                                 'go to time1 and wait 1 hour if motor had movement
 Time1:
  On Ovf1 R1
  Timer1 = 5
  Start Timer1
  Do
   B = B
  Loop Until B = 54933
  Stop Timer1
Loop
End
R1:
 B = B + 1
 Start Timer1
Return